#include "Object_Trade.mqh"

struct OBJECT_ARROW : public OBJECT_TRADE
{
  STRING Text;

  bool Set( string sName, const ulong Chart = 0 )
  {
    const bool Res = this.OBJECT_TRADE::Set(sName);

    if (Res)
    {
      this.Text = ::ObjectGetString(Chart, sName, OBJPROP_TEXT);

      this.StringBetween(sName, "autotrade #", " ");

      this.Name = sName;
    }

    return(Res);
  }

  void Get( ENUM_ORDER_TYPE &eType, double &dLots )
  {
    string sName = this.Name.Get();

    eType = (ENUM_ORDER_TYPE)(this.StringBetween(sName, NULL, " ") == "buy"); // .

    dLots = (double)sName;

    return;
  }

#define TOSTRING(A) #A + " = " + (string)(this.A) + "\n"
  string ToString( void ) const
  {
    return(this.OBJECT_TRADE::ToString() + TOSTRING(Text.Get()));
  }
#undef TOSTRING
};